From 2e99397c712ea9500f757cbc2b70ec86c86d2973 Mon Sep 17 00:00:00 2001
From: Thomas Tsou <ttsou@vt.edu>
Date: Tue, 19 Jun 2012 21:18:52 -0400
Subject: [PATCH] transceiver: umtrx: set timing offset and swap receive I/Q

Now connects calls.

Signed-off-by: Thomas Tsou <ttsou@vt.edu>
---
 Transceiver52M/UHDDevice.cpp      |    4 ++--
 Transceiver52M/radioInterface.cpp |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/Transceiver52M/UHDDevice.cpp b/Transceiver52M/UHDDevice.cpp
index 4549cf4..5ed2d78 100644
--- a/Transceiver52M/UHDDevice.cpp
+++ b/Transceiver52M/UHDDevice.cpp
@@ -48,14 +48,14 @@
 
     tx_ampl           - Transmit amplitude must be between 0 and 1.0
 */
-const double master_clk_rt = 52e6;
+const double master_clk_rt = 13e6;
 const size_t smpl_buf_sz = (1 << 20);
 const float tx_ampl = .3;
 
 #ifdef RESAMPLE
 const double rx_smpl_offset = .00005;
 #else
-const double rx_smpl_offset = .0000869;
+const double rx_smpl_offset = 9.4457e-5; 
 #endif
 
 static TIMESTAMP init_rd_ts = 0;
diff --git a/Transceiver52M/radioInterface.cpp b/Transceiver52M/radioInterface.cpp
index f01b528..1494598 100644
--- a/Transceiver52M/radioInterface.cpp
+++ b/Transceiver52M/radioInterface.cpp
@@ -97,8 +97,8 @@ int RadioInterface::unRadioifyVector(float *floatVector,
   signalVector::iterator itr = newVector.begin();
 
   for (i = 0; i < newVector.size(); i++) {
-    *itr++ = Complex<float>(floatVector[2 * i + 0],
-			    floatVector[2 * i + 1]);
+    *itr++ = Complex<float>(floatVector[2 * i + 1],
+			    floatVector[2 * i + 0]);
   }
 
   return newVector.size();
-- 
1.7.7.6

